Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Class XmlRpcHttpTransport

    java.lang.Object
      org.apache.xmlrpc.client.XmlRpcTransportImpl
          org.apache.xmlrpc.client.XmlRpcStreamTransport
              org.apache.xmlrpc.client.XmlRpcHttpTransport

All Implemented Interfaces:
  XmlRpcTransport

Direct Known Subclasses:
  XmlRpcCommonsTransport, XmlRpcLiteHttpTransport, XmlRpcSunHttpTransport

    public abstract class XmlRpcHttpTransport

extends XmlRpcStreamTransport

Abstract base implementation of an HTTP transport. Base class for the concrete implementations, like `XmlRpcSunHttpTransport`, or `XmlRpcCommonsTransport`.

Nested Class Summary
`protected class` | `XmlRpcHttpTransport.ByteArrayReqWriter`

Nested classes/interfaces inherited from class org.apache.xmlrpc.client.XmlRpcStreamTransport
`XmlRpcStreamTransport.GzipReqWriter, XmlRpcStreamTransport.ReqWriter, XmlRpcStreamTransport.ReqWriterImpl`

Field Summary
`static java.lang.String` | `USER_AGENT` The user agent string.

Constructor Summary
`protected` | `XmlRpcHttpTransport(XmlRpcClient pClient, java.lang.String pUserAgent)`

Method Summary
`protected java.lang.String` | `getUserAgent()`
`protected void` | `initHttpHeaders(XmlRpcRequest pRequest)`
`protected boolean` | `isUsingByteArrayOutput(XmlRpcHttpClientConfig pConfig)`
`protected XmlRpcStreamTransport.ReqWriter` | `newReqWriter(XmlRpcRequest pRequest)` Creates a new instance of `XmlRpcStreamTransport.ReqWriter`.
`java.lang.Object` | `sendRequest(XmlRpcRequest pRequest)` Send an XML-RPC message.
`protected void` | `setCompressionHeaders(XmlRpcHttpClientConfig pConfig)`
`protected void` | `setContentLength(int pLength)`
`protected void` | `setCredentials(XmlRpcHttpClientConfig pConfig)`
`protected abstract void` | `setRequestHeader(java.lang.String pHeader, java.lang.String pValue)`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcStreamTransport
`close, getInputStream, isCompressingRequest, isResponseGzipCompressed, newXMLReader, readResponse, writeRequest`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcTransportImpl
`getClient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_AGENT

    public static final java.lang.String USER_AGENT

  The user agent string.

Constructor Detail

### XmlRpcHttpTransport

    protected XmlRpcHttpTransport(XmlRpcClient pClient,
                                  java.lang.String pUserAgent)

Method Detail

### getUserAgent

    protected java.lang.String getUserAgent()

### setRequestHeader

    protected abstract void setRequestHeader(java.lang.String pHeader,
                                             java.lang.String pValue)

### setCredentials

    protected void setCredentials(XmlRpcHttpClientConfig pConfig)
                           throws XmlRpcClientException

  Throws:
    `XmlRpcClientException`

### setContentLength

    protected void setContentLength(int pLength)

### setCompressionHeaders

    protected void setCompressionHeaders(XmlRpcHttpClientConfig pConfig)

### initHttpHeaders

    protected void initHttpHeaders(XmlRpcRequest pRequest)
                            throws XmlRpcClientException

  Throws:
    `XmlRpcClientException`

### sendRequest

    public java.lang.Object sendRequest(XmlRpcRequest pRequest)
                                 throws XmlRpcException

  Description copied from interface: `XmlRpcTransport`
  Send an XML-RPC message. This method is called to send a message to the other party.

  Specified by:
    `sendRequest` in interface `XmlRpcTransport`
  Overrides:
    `sendRequest` in class `XmlRpcStreamTransport`
  Parameters:
    `pRequest` - The request being performed.
  Returns:
    Result object, if invoking the remote method was successfull.
  Throws:
    `XmlRpcException` - Performing the request failed.

### isUsingByteArrayOutput

    protected boolean isUsingByteArrayOutput(XmlRpcHttpClientConfig pConfig)

### newReqWriter

    protected XmlRpcStreamTransport.ReqWriter newReqWriter(XmlRpcRequest pRequest)
                                                    throws XmlRpcException,
                                                           java.io.IOException,
                                                           org.xml.sax.SAXException

  Description copied from class: `XmlRpcStreamTransport`
  Creates a new instance of `XmlRpcStreamTransport.ReqWriter`.

  Overrides:
    `newReqWriter` in class `XmlRpcStreamTransport`
  Throws:
    `XmlRpcException` - Creating the instance failed.
    `java.io.IOException` - Creating the instance failed, because an `IOException` occurs.
    `org.xml.sax.SAXException` - Creating the instance failed, because the request could not be parsed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.